Loading...
Searching...
No Matches
HalfReader< true, T > Struct Template Reference

Partial specialization for floating-point types. More...

`#include <openvdb/io/Compression.h>`

## Public Types

using | HalfT = typename RealToHalf<T>::HalfT

## Static Public Member Functions

static void | read (std::istream &is, T *data, Index count, uint32_t compression, DelayedLoadMetadata *metadata=nullptr, size_t metadataOffset=size_t(0))

## Detailed Description

template<typename T>
struct openvdb::v10_0::io::HalfReader< true, T >

Partial specialization for floating-point types.

## Member Typedef Documentation

## HalfT

template<typename T>

using HalfT = typename RealToHalf<T>::HalfT

## Member Function Documentation

## read()

template<typename T>

void read | ( | std::istream & | is,
|  | T * | data,
|  | Index | count,
|  | uint32_t | compression,
|  | DelayedLoadMetadata * | metadata = nullptr,
|  | size_t | metadataOffset = size_t(0) )

inline static